ExternalFile (install4j API)
Date: 2009-06-17

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.beans
Class ExternalFile

    java.lang.Object
      java.io.File
          com.install4j.api.beans.ExternalFile

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<java.io.File>

    public class ExternalFile

extends java.io.File

Property type for files from outside the distribution tree to be used in beans. Properties of type `java.io.File` refer to files in the distribution tree. For these properties, in the install4j GUI a distribution file chooser will be shown that offers only files that were configured in the "Files" section of the install4j GUI.

If you use `ExternalFile` as the property type, the install4j GUI will show a regular file chooser for the property that lets you select files from arbitrary locations. The selected file will be packaged with the installer during the compilation phase. The name of the file is changed to to a unique name during the compilation. It will be available in a temporary directory when the installer or uninstaller is started and extracted to the `.install4j` directory in the installation directory by the "Install files" action.

Note:At runtime, you have to call `Context.getExternalFile` to transform the property to an absolute file.

Author:
  ej-technologies GmbH
See Also:
  `Context.getExternalFile(ExternalFile, boolean)`, Serialized Form

Field Summary

Fields inherited from class java.io.File
`pathSeparator, pathSeparatorChar, separator, separatorChar`

Constructor Summary
`ExternalFile(java.lang.String pathname)` The constructor will be invoked by the framework.

Method Summary
`boolean` | `equals(java.lang.Object obj)`

Methods inherited from class java.io.File
`canExecute, canRead, canWrite, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getCanonicalPath, getFreeSpace, getName, getParent, getParentFile, getPath, getTotalSpace, getUsableSpace, hashCode, isAbsolute, isDirectory, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setExecutable, setExecutable, setLastModified, setReadable, setReadable, setReadOnly, setWritable, setWritable, toString, toURI, toURL`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExternalFile

    public ExternalFile(java.lang.String pathname)

  The constructor will be invoked by the framework.

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.io.File`

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD